package com.css.simulation.resource.server.app.service;

import api.common.pojo.common.ResponseBodyVO;
import api.common.pojo.param.algorithm.AlgorithmParameter;

import java.util.Map;


public interface AlgorithmService {

    ResponseBodyVO<Object> addOrUpdate(AlgorithmParameter param);

    ResponseBodyVO<Object> selectAlgorithmList(AlgorithmParameter param);

    ResponseBodyVO<Object> selectAlgoPlatformList(AlgorithmParameter param);

    ResponseBodyVO<String> deleteById(AlgorithmParameter param);

    ResponseBodyVO<Map<String,String>> deleteCheck(AlgorithmParameter param);

    ResponseBodyVO<Object> selectDetailsById(String algorithmId);

    ResponseBodyVO<Object> selectSharedAlgorithmList(AlgorithmParameter param);

    ResponseBodyVO<Object> shareAlgorithm(AlgorithmParameter param);

    ResponseBodyVO<String> testConnection(AlgorithmParameter param);

    String getGitVersion(String algorithmId);

    Map<String,String> selectDetailsBySy();
}
